Subject: Re: [ipwave] Request for IPWAVE PS Document Review

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Wed, 6 Feb 2019 00:46:19 +0900

Hi Carlos,
we authors will address Charlie's and Sri's comments and questions.

Charlie and Sri,
Thanks for your sincere help.

Best Regards,
Paul

2019년 2월 5일 (화) 오후 4:28, CARLOS JESUS BERNARDOS CANO <[email-masked]>님이 작성:

> Thanks Charlie!
>
> Authors, please revise considering this review.
>
> Thanks,
>
> Carlos
>
>
> On Tue, Feb 5, 2019 at 2:18 AM Charlie Perkins <
> [email-masked]> wrote:
>
>> Hello Paul and all,
>>
>> Attached, please find a file with my comments embedded.  I also include
>> the output of rfcdiff, highlighting the differences between revision ...-07
>> and the text with my comments, so that you can easily find them.
>>
>> I would like to suggest that the authorship as shown at the bottom of
>> each page should be "Jeong, Ed." instead of simply "Jeong".  This change to
>> the text is not visible in the rfcdiff output.
>>
>> I will transcribe some of the larger issues into a follow-up email to the
>> WG mailing list, unless you think that would be counterproductive.
>>
>> I hope these comments are helpful.  If you have questions or want
>> clarifications, please do not hesitate to contact me.
>>
>> Regards,
>> Charlie P.
>> On 2/4/2019 2:13 PM, Charlie Perkins wrote:
>>
>> Hello folks,
>>
>> I had very bad connectivity during my vacation, from which I returned
>> yesterday.
>>
>> I hope to send editorial comments later today.
>>
>> I thought about a good way to reorganize the material in the document,
>> which I will submit to the mailing list.  I hope this is not asking too
>> much.
>>
>> Regards,
>> Charlie P.
>> On 1/21/2019 9:53 PM, Charlie Perkins wrote:
>>
>> Hello folks,
>>
>> I reviewed the Problem Statement document.  There is a lot of interesting
>> material in the document, but it needs to be sharpened up a lot and
>> possibly reorganized a little bit.  Unfortunately, I don't have an outline
>> to suggest for how to shuffle the text, but some of the points below could
>> be considered symptoms that have led me to suggest it.
>>
>> - The citations in section 4.1 seem to be somewhat arbitrary and would be
>> more instructive if there were a few more points of contrast drawn between
>> the examples.  Section 4.1.3 is short but still seems arbitrary and
>> random.  Other sections are even more so.  It would be nice to somehow
>> relate the various examples so that the overall effect might be more
>> coherent.
>>
>> - The architectural figures displayed in section 4.2 seem very verbose
>> and not terribly different from one another.  It seems that every /64 has a
>> DNS, and a router.  The distinctions are buried in a lot of words and it's
>> hard to get to the point.  I think there are too many places where the
>> candidate wireless technologies are listed together, without providing any
>> significant extra insight into the architectural relationships of the
>> entities.
>>
>> - In section 5.1, it is recommended that the NA interval decrease and
>> increase.  Maybe a couple of concrete examples would be helpful, given
>> known vehicle densities and speeds.
>>
>> - In section 5.2, it should be mentioned that having roadmaps allows a
>> terrific increase in predictability of vehicle mobility.
>>
>> - Appendix A was a welcome change to the previous parts of the document.
>> It has a lot of interesting information, succinctly presented.  I thought
>> maybe it should be moved into the main body of the text, perhaps as a new
>> section preceding the current "Security Considerations".
>>
>> I have a number of smaller editorial suggestions that I will provide
>> under separate email.
>>
>> Bottom line: I think the document is well along the way, but needs
>> careful focus and some re-emphasis of the component parts.
>>
>> Thank you very much for your continued effort on this document.
>>
>> Regards,
>> Charlie P.
>>
>>
>> From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
>> Date: Tuesday, January 8, 2019 at 7:59 AM
>> To: Charlie Perkins <[email-masked]>, Sri Gundavelli <
>> [email-masked]>, Jung-Soo Park <[email-masked]>
>> Cc: "[email-masked]" <[email-masked]>, "Mr. Jaehoon Paul Jeong" <
>> [email-masked]>
>> Subject: Request for IPWAVE PS Document Review
>>
>> Hi Charlie, Sri, and Jung-Soo,
>> As you agreed last IETF-103 meeting, could you give me your review on
>> the IPWAVE PS Document by January 15, 2019 in EST?
>> https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-07
>>
>> We need to move forward with this document and the IPWAVE rechartering..
>>
>> Thanks for your volunteer help.
>>
>> Best Regards,
>> Paul
>> --
>> ===========================
>> Mr. Jaehoon (Paul) Jeong, Ph.D.
>> Associate Professor
>> Department of Software
>> Sungkyunkwan University
>> Office: +82-31-299-4957
>> Email: [email-masked], [email-masked]
>> Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
>> <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>>
>> _______________________________________________
>> its mailing [email-masked]://www.ietf.org/mailman/listinfo/its
>>
>>

---

From: "Sri Gundavelli (sgundave)" <[email-masked]>
Date: Wed, 6 Feb 2019 16:15:31 +0000

Hi Paul,

You may also want to lo at other PS documents, such as RFC 4830 on how to capture the problem statement without getting into solution space.

Sri

From: "Mr. Jaehoon Paul Jeong" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, February 5, 2019 at 7:46 AM
To: CARLOS JESUS BERNARDOS CANO <[email-masked]<mailto:[email-masked]>>, Sri Gundavelli <[email-masked]<mailto:[email-masked]>>, "Charles E. Perkins" <[email-masked]<mailto:[email-masked]>>
Cc: Jung-Soo Park <[email-masked]<mailto:[email-masked]>>, Jaehoon Jeong <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [ipwave] Request for IPWAVE PS Document Review

Hi Carlos,

Charlie and Sri,

Best Regards,
Paul

2019년 2월 5일 (화) 오후 4:28, CARLOS JESUS BERNARDOS CANO <[email-masked]<mailto:[email-masked]>>님이 작성:
Thanks Charlie!

Thanks,

Carlos

On Tue, Feb 5, 2019 at 2:18 AM Charlie Perkins <[email-masked]<mailto:[email-masked]>> wrote:

Hello Paul and all,

Attached, please find a file with my comments embedded.  I also include the output of rfcdiff, highlighting the differences between revision ...-07 and the text with my comments, so that you can easily find them.

I would like to suggest that the authorship as shown at the bottom of each page should be "Jeong, Ed." instead of simply "Jeong".  This change to the text is not visible in the rfcdiff output.

I will transcribe some of the larger issues into a follow-up email to the WG mailing list, unless you think that would be counterproductive.

I hope these comments are helpful.  If you have questions or want clarifications, please do not hesitate to contact me.

Regards,
Charlie P.

Hello folks,

I had very bad connectivity during my vacation, from which I returned yesterday.

I thought about a good way to reorganize the material in the document, which I will submit to the mailing list.  I hope this is not asking too much.

Regards,
Charlie P.

Hello folks,

I reviewed the Problem Statement document.  There is a lot of interesting material in the document, but it needs to be sharpened up a lot and possibly reorganized a little bit.  Unfortunately, I don't have an outline to suggest for how to shuffle the text, but some of the points below could be considered symptoms that have led me to suggest it.

- The citations in section 4.1 seem to be somewhat arbitrary and would be more instructive if there were a few more points of contrast drawn between the examples.  Section 4.1.3 is short but still seems arbitrary and random.  Other sections are even more so.  It would be nice to somehow relate the various examples so that the overall effect might be more coherent.

- The architectural figures displayed in section 4.2 seem very verbose and not terribly different from one another.  It seems that every /64 has a DNS, and a router.  The distinctions are buried in a lot of words and it's hard to get to the point.  I think there are too many places where the candidate wireless technologies are listed together, without providing any significant extra insight into the architectural relationships of the entities.

- In section 5.1, it is recommended that the NA interval decrease and increase.  Maybe a couple of concrete examples would be helpful, given known vehicle densities and speeds.

- In section 5.2, it should be mentioned that having roadmaps allows a terrific increase in predictability of vehicle mobility.

- Appendix A was a welcome change to the previous parts of the document.  It has a lot of interesting information, succinctly presented.  I thought maybe it should be moved into the main body of the text, perhaps as a new section preceding the current "Security Considerations".

I have a number of smaller editorial suggestions that I will provide under separate email.

Bottom line: I think the document is well along the way, but needs careful focus and some re-emphasis of the component parts.

Regards,
Charlie P.

From: "Mr. Jaehoon Paul Jeong" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, January 8, 2019 at 7:59 AM
To: Charlie Perkins <[email-masked]<mailto:[email-masked]>>, Sri Gundavelli <[email-masked]<mailto:[email-masked]>>, Jung-Soo Park <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Mr. Jaehoon Paul Jeong" <[email-masked]<mailto:[email-masked]>>
Subject: Request for IPWAVE PS Document Review

Best Regards,
Paul
--
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php<http://cpslab.skku.edu/people-jaehoon-jeong.php>

_______________________________________________
its mailing list
[email-masked]<mailto:[email-masked]>https://www.ietf.org/mailman/listinfo/its

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Thu, 7 Feb 2019 12:05:24 +0900

Hi Sri,
Sure, I will look at other PS documents including RFC 4830.

Thanks.

Best Regards,
Paul

On Thu, Feb 7, 2019 at 1:15 AM Sri Gundavelli (sgundave) <[email-masked]>
wrote:

> Hi Paul,
>
> You may also want to lo at other PS documents, such as RFC 4830 on how to
> capture the problem statement without getting into solution space.
>
> Sri
>
>
> To: CARLOS JESUS BERNARDOS CANO <[email-masked]>, Sri Gundavelli <
> [email-masked]>, "Charles E. Perkins" <[email-masked]>
> Cc: Jung-Soo Park <[email-masked]>, Jaehoon Jeong <[email-masked]>,
> "[email-masked]" <[email-masked]>, "[email-masked]" <
> [email-masked]>, "[email-masked]" <
> [email-masked]>
>>> I will transcribe some of the larger issues into a follow-up email to
>>> the WG mailing list, unless you think that would be counterproductive.
>>>
>>> I reviewed the Problem Statement document.  There is a lot of
>>> interesting material in the document, but it needs to be sharpened up a lot
>>> and possibly reorganized a little bit.  Unfortunately, I don't have an
>>> outline to suggest for how to shuffle the text, but some of the points
>>> below could be considered symptoms that have led me to suggest it.
>>>
>>> - The citations in section 4.1 seem to be somewhat arbitrary and would
>>> be more instructive if there were a few more points of contrast drawn
>>> between the examples.  Section 4.1.3 is short but still seems arbitrary and
>>> - Appendix A was a welcome change to the previous parts of the
>>> document.  It has a lot of interesting information, succinctly presented.
>>> I thought maybe it should be moved into the main body of the text, perhaps
>>> as a new section preceding the current "Security Considerations".
>>>